export function getColAlign(col) {
    let align;
    switch (col.component) {
        case 'time':
        case 'date':
        case 'select':
            align = 'left';
            break;
        case 'number':
            align = 'right';
            break;
        case 'checkbox':
            align = 'center';
            break;
        default:
            align = col?.align;
    }

    if (/^is[A-Z]/.test(col.name) || /^has[A-Z]/.test(col.name)) align = 'center';

    return 'text-' + (align ?? 'center');
}
