export default {
    fields: [
        'code',
        'id',
        'workerFk',
        'agencyModeFk',
        'created',
        'm3',
        'warehouseFk',
        'description',
        'vehicleFk',
        'kmStart',
        'kmEnd',
        'started',
        'finished',
        'cost',
        'isOk',
    ],
    include: [
        { relation: 'agencyMode', scope: { fields: ['id', 'name'] } },
        {
            relation: 'vehicle',
            scope: { fields: ['id', 'm3'] },
        },
        {
            relation: 'worker',
            scope: {
                fields: ['id'],
                include: {
                    relation: 'user',
                    scope: {
                        fields: ['id'],
                        include: { relation: 'emailUser', scope: { fields: ['email'] } },
                    },
                },
            },
        },
    ],
};
