describe('EntryMy when is supplier', () => {
    beforeEach(() => {
        cy.viewport(1920, 1080);
        cy.login('supplier');
        cy.visit(`/#/entry/my`, {
            onBeforeLoad(win) {
                cy.stub(win, 'open');
            },
        });
    });

    it('should open buyLabel when is supplier', () => {
        cy.dataCy('cardBtn').eq(2).click();
        cy.dataCy('printLabelsBtn').click();
        cy.window().its('open').should('be.called');
    });
});
