/// <reference types="cypress" />
describe('InvoiceOut negative bases', () => {
    beforeEach(() => {
        cy.viewport(1920, 1080);
        cy.login('developer');
        cy.visit(`/#/invoice-out/negative-bases`);
    });

    it('should filter and download as CSV', () => {
        cy.get('input[name="ticketFk"]').type('23{enter}');
        cy.get('#subToolbar > .q-btn').click();
        cy.checkNotification('CSV downloaded successfully');
    });
});
