export default {
    include: [
        {
            relation: 'supplier',
            scope: {
                include: {
                    relation: 'contacts',
                    scope: { where: { email: { neq: null } } },
                },
            },
        },
        { relation: 'invoiceInDueDay' },
        { relation: 'company' },
        { relation: 'currency' },
        {
            relation: 'dms',
            scope: {
                fields: [
                    'dmsTypeFk',
                    'reference',
                    'hardCopyNumber',
                    'workerFk',
                    'description',
                    'hasFile',
                    'file',
                    'created',
                    'companyFk',
                    'warehouseFk',
                ],
            },
        },
    ],
};
