export default {
    fields: [
        'id',
        'name',
        'nickname',
        'nif',
        'payMethodFk',
        'payDemFk',
        'payDay',
        'isActive',
        'isSerious',
        'isTrucker',
        'account',
    ],
    include: [
        {
            relation: 'payMethod',
            scope: {
                fields: ['id', 'name'],
            },
        },
        {
            relation: 'payDem',
            scope: {
                fields: ['id', 'payDem'],
            },
        },
        {
            relation: 'client',
            scope: {
                fields: ['id', 'fi'],
            },
        },
    ],
};
