describe('WagonCreate', () => {
    beforeEach(() => {
        cy.viewport(1280, 720);
        cy.login('developer');
        cy.visit('/#/wagon');
    });

    it('should create and delete a new wagon', () => {
        cy.dataCy('vnTableCreateBtn').click();
        cy.get(
            '.grid-create > [label="Label"] > .q-field > .q-field__inner > .q-field__control > .q-field__control-container > [data-cy="Label_input"]',
        ).type('1234');
        cy.get(
            '.grid-create > [label="Plate"] > .q-field > .q-field__inner > .q-field__control > .q-field__control-container > [data-cy="Plate_input"]',
        ).type('1234ABCD');
        cy.get(
            '.grid-create > [label="Volume"] > .q-field > .q-field__inner > .q-field__control > .q-field__control-container > [data-cy="Volume_input"]',
        ).type('100');
        cy.dataCy('Type_select').type('{downarrow}{enter}');

        cy.get('[title="Remove"] > .q-btn__content > .q-icon').click();
    });
});
