describe('WagonTypeCreate', () => {
    beforeEach(() => {
        cy.viewport(1920, 1080);
        cy.login('developer');
        cy.visit('/#/wagon/type/create');
        cy.waitForElement('.q-page', 6000);
    });

    it('should create a new wagon type and then delete it', () => {
        cy.get('.q-page-sticky > div > .q-btn').click();
        cy.dataCy('Name_input').type('Example for testing');
        cy.get('[data-cy="FormModelPopup_save"]').click();
        cy.get('[title="Remove"] > .q-btn__content > .q-icon').first().click();
    });
});
